Page MenuHomePhabricator

Donate by Bank Transfer in Brazil via Astropay
Closed, ResolvedPublic2 Estimated Story Points

Description

Must have for Brazil. Top priority after must haves for Brazil, before moving onto other countries. Depending on timing, we may move this one down the list and get on to other countries first.
http://design.bytrilogy.com/wikimedia/email-landing/bank-brazil

1 tweak: we should remove or change the credit card secure lock message.

Explanation from Trilogy: 

We made the forms a little wider as needed so that the logos are recognizable.

In terms of implementation, we placed all of the CSS in the head section of each page. Only a few things changed in the CSS. And then the HTML for the selection section can be copied as is - with the logo images moved to Wiki, of course. If we can help further with implementation, let us know.

https://docs.google.com/presentation/d/1hS0uKSJK2UACQgsLgeFNaPYPf4tRDIVfm3asr8CNqjM/edit#slide=id.g77bf53571_00

NOTE: We will need to create country specific translations for 'fiscal number' in translatewiki for each language/country.

We would need translations in Spanish for:

  • Chile
  • Colombia
  • Argentina
  • Mexico
  • Peru
  • Uruguay

in Portuguese for:

  • Brazil
  • Portugal

Event Timeline

atgo created this task.May 5 2015, 9:05 PM
atgo raised the priority of this task from to Medium.
atgo updated the task description. (Show Details)
atgo set Security to None.
atgo added subscribers: atgo, Aklapper.
atgo updated the task description. (Show Details)May 13 2015, 8:41 PM
atgo updated the task description. (Show Details)May 26 2015, 8:18 PM
atgo updated the task description. (Show Details)May 26 2015, 8:22 PM
atgo updated the task description. (Show Details)Jun 22 2015, 9:27 PM
atgo added a project: Fundraising-Backlog.
atgo moved this task from Triage to Sprint A January 1st to ... on the Fundraising-Backlog board.
Ejegg edited a custom field.Jun 29 2015, 9:10 PM
Ejegg added a subscriber: Ejegg.

Removing the message for non-cc methods would be easy and consistent with the Globalcollect RTBT form for Netherlands. We also don't need the bank name field, as the radio button tells us all we need.

awight added a subscriber: awight.Jun 29 2015, 9:12 PM

Just for consistency, please update the task description to make it clear whether we're doing this through AstroPay or GlobalCollect...

Ejegg renamed this task from Donate by Bank Transfer in Brazil to Donate by Bank Transfer in Brazil via Astropay.Jun 29 2015, 9:15 PM

Change 221888 had a related patch set uploaded (by Ejegg):
Add Brazil banks and logos for Astropay

https://gerrit.wikimedia.org/r/221888

Ejegg claimed this task.Jun 30 2015, 6:06 PM

Change 221890 had a related patch set uploaded (by Ejegg):
Use bank- prefix for BT logos

https://gerrit.wikimedia.org/r/221890

Change 221892 had a related patch set uploaded (by Ejegg):
Hide 'your card is safe' message for non-card methods

https://gerrit.wikimedia.org/r/221892

Hey @Ejegg was this for reals really simple? Will it be equally straightforward for additional methods/countries?

Ejegg added a comment.Jul 1 2015, 4:43 PM

I hope it was as simple as it looked! Astropay's API is really consistent across all the different payment methods, so there was hardly any new logic to write. It's basically just another grouping of { type, logo, name, our payment_submethod code, astropay code }. As far as I can tell, the rest will be similar.

Ejegg moved this task from Review to Doing on the Fundraising Sprint N*E*R*D board.Jul 1 2015, 8:29 PM

Change 221890 abandoned by Ejegg:
Use bank- prefix for BT logos

Reason:
Went with submethod meta

https://gerrit.wikimedia.org/r/221890

Change 221886 had a related patch set uploaded (by Ejegg):
s/Spanish/Portuguese

https://gerrit.wikimedia.org/r/221886

Change 221888 merged by jenkins-bot:
Add Brazil banks and logos for Astropay

https://gerrit.wikimedia.org/r/221888

Change 221892 merged by jenkins-bot:
Hide 'your card is safe' message for non-card methods

https://gerrit.wikimedia.org/r/221892

Change 221886 merged by jenkins-bot:
s/Spanish/Portuguese

https://gerrit.wikimedia.org/r/221886

DStrine closed this task as Resolved.Jul 8 2015, 4:21 PM
DStrine moved this task from Pending Deployment to Done on the Fundraising Sprint N*E*R*D board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM